'''OpenGL extension EXT.sparse_texture2

This module customises the behaviour of the 
OpenGL.raw.GL.EXT.sparse_texture2 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/sparse_texture2.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GL import _types, _glgets
from OpenGL.raw.GL.EXT.sparse_texture2 import *
from OpenGL.raw.GL.EXT.sparse_texture2 import _EXTENSION_NAME

def glInitSparseTexture2EXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION